List Space Quotas
This endpoint lists all space quota resources that the user has permission to view.
Page to display; valid values are integers >= 1
1
Number of results per page, valid values are 1 through 5000
50
Value to sort by. Defaults to ascending; prepend with - to sort descending.
created_at
Comma-delimited list of space quota guids to filter by
Comma-delimited list of space quota names to filter by
Comma-delimited list of organization guids to filter by
Comma-delimited list of space guids to filter by
Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.
2021-01-01T00:00:00Z
Timestamp to filter by. When filtering on equality, several comma-delimited timestamps may be passed. Also supports filtering with relational operators.
2021-01-01T00:00:00Z
OK
{
"pagination": {
"total_results": 0,
"total_pages": 0,
"first": {
"href": "string",
"method": "string"
},
"last": {
"href": "string",
"method": "string"
},
"next": {
"href": "string",
"method": "string"
},
"previous": {
"href": "string",
"method": "string"
}
},
"resources": [
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"apps": {
"total_memory_in_mb": 0,
"per_process_memory_in_mb": 0,
"log_rate_limit_in_bytes_per_second": 0,
"total_instances": 0,
"per_app_tasks": 0
},
"services": {
"paid_services_allowed": false,
"total_service_instances": 0,
"total_service_keys": 0
},
"routes": {
"total_routes": 0,
"total_reserved_ports": 0
},
"relationships": {
"organization": {
"data": {
"guid": "string"
}
},
"spaces": {
"data": [
{
"guid": "string"
}
]
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"organization": {
"href": "string",
"method": "string"
}
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
}
}
]
}
Pagination is a technique used to divide a large set of results into smaller, more manageable sets. This allows clients to retrieve results in smaller chunks, reducing the amount of data transferred and improving performance. The pagination object is a JSON object that contains information about the pagination state of the results. It includes the total number of results available, the total number of pages available, and links to the first, last, next, and previous pages of results.
resources
Bad Request
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Unauthorized
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Forbidden
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Conflict
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Unprocessable Entity
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Internal Server Error
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
Bad Gateway
{
"code": 0,
"detail": "string",
"title": "string"
}
A numeric code for this error
Detailed description of the error
Name of the error
Service Unavailable
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
errors
curl -H 'Authorization: <value>' https://{api_host}/v3/space_quotas